Skip to content

Create Batch Job

BatchCreateResponse Beta.Batch.Create(BatchCreateParamsparameters, CancellationTokencancellationToken = default)
POST/api/v1/beta/batch-processing

Create a batch processing job.

Processes files from a directory or a specific list of item IDs. Supports batch parsing and classification operations.

Provide either directory_id to process all files in a directory, or item_ids for specific items. The job runs asynchronously — poll GET /batch/{job_id} for progress.

ParametersExpand Collapse
BatchCreateParams parameters
required JobConfig jobConfig

Body param: Job configuration — either a parse or classify config

class BatchParseJobRecordCreate:

Batch-specific parse job record for batch processing.

This model contains the metadata and configuration for a batch parse job, but excludes file-specific information. It’s used as input to the batch parent workflow and combined with DirectoryFile data to create full ParseJobRecordCreate instances for each file.

Attributes: job_name: Must be PARSE_RAW_FILE partitions: Partitions for job output location parameters: Generic parse configuration (BatchParseJobConfig) session_id: Upstream request ID for tracking correlation_id: Correlation ID for cross-service tracking parent_job_execution_id: Parent job execution ID if nested user_id: User who created the job project_id: Project this job belongs to webhook_url: Optional webhook URL for job completion notifications

string? CorrelationID

The correlation ID for this job. Used for tracking the job across services.

formatuuid
JobName JobName
Parameters? Parameters

Generic parse job configuration for batch processing.

This model contains the parsing configuration that applies to all files in a batch, but excludes file-specific fields like file_name, file_id, etc. Those file-specific fields are populated from DirectoryFile data when creating individual ParseJobRecordCreate instances for each file.

The fields in this model should be generic settings that apply uniformly to all files being processed in the batch.

Boolean? AdaptiveLongTable
Boolean? AggressiveTableExtraction
Boolean? AutoMode
string? AutoModeConfigurationJson
Boolean? AutoModeTriggerOnImageInPage
string? AutoModeTriggerOnRegexpInPage
Boolean? AutoModeTriggerOnTableInPage
string? AutoModeTriggerOnTextInPage
string? AzureOpenAIApiVersion
string? AzureOpenAIDeploymentName
string? AzureOpenAIEndpoint
string? AzureOpenAIKey
Double? BboxBottom
Double? BboxLeft
Double? BboxRight
Double? BboxTop
string? BoundingBox
Boolean? CompactMarkdownTable
string? ComplementalFormattingInstruction
string? ConfidenceScoreEffort
string? ContentGuidelineInstruction
Boolean? ContinuousMode
IReadOnlyDictionary<string, JsonElement>? CustomMetadata

The custom metadata to attach to the documents.

Boolean? DisableImageExtraction
Boolean? DisableOcr
Boolean? DisableReconstruction
Boolean? DoNotCache
Boolean? DoNotUnrollColumns
Boolean? EnableCostOptimizer
Boolean? ExtractCharts
Boolean? ExtractLayout
Boolean? ExtractPrintedPageNumber
Boolean? FastMode
string? FormattingInstruction
string? Gpt4oApiKey
Boolean? Gpt4oMode
Boolean? GuessXlsxSheetName
Boolean? HideFooters
Boolean? HideHeaders
Boolean? HighResOcr
Boolean? HtmlMakeAllElementsVisible
Boolean? HtmlRemoveFixedElements
Boolean? HtmlRemoveNavigationElements
string? HttpProxy
Boolean? IgnoreDocumentElementsForLayoutDetection
IReadOnlyList<ImagesToSave>? ImagesToSave
One of the following:
"embedded"Embedded
"layout"Layout
"screenshot"Screenshot
Boolean? InlineImagesInMarkdown
string? InputS3Path
string? InputS3Region

The region for the input S3 bucket.

string? InputUrl
Boolean? InternalIsScreenshotJob
Boolean? InvalidateCache
Boolean? IsFormattingInstruction
Double? JobTimeoutExtraTimePerPageInSeconds
Double? JobTimeoutInSeconds
Boolean? KeepPageSeparatorWhenMergingTables
string Lang

The language.

IReadOnlyList<ParsingLanguages> Languages
One of the following:
"abq"Abq
"ady"Ady
"af"Af
"ang"Ang
"ar"Ar
"as"As
"ava"Ava
"az"Az
"be"Be
"bg"Bg
"bgc"Bgc
"bh"Bh
"bho"Bho
"bn"Bn
"bs"Bs
"ch_sim"ChSim
"ch_tra"ChTra
"che"Che
"cs"Cs
"cy"Cy
"da"Da
"dar"Dar
"de"De
"en"En
"es"Es
"et"Et
"fa"Fa
"fr"Fr
"ga"Ga
"gom"Gom
"hi"Hi
"hr"Hr
"hu"Hu
"id"ID
"inh"Inh
"is"Is
"it"It
"ja"Ja
"kbd"Kbd
"kn"Kn
"ko"Ko
"ku"Ku
"la"La
"lbe"Lbe
"lez"Lez
"lt"Lt
"lv"Lv
"mah"Mah
"mai"Mai
"mi"Mi
"mn"Mn
"mni"Mni
"mr"Mr
"ms"Ms
"mt"Mt
"ne"Ne
"new"New
"nl"Nl
"no"No
"oc"Oc
"pi"Pi
"pl"Pl
"pt"Pt
"ro"Ro
"rs_cyrillic"RsCyrillic
"rs_latin"RsLatin
"ru"Ru
"sa"Sa
"sck"Sck
"sk"Sk
"sl"Sl
"sq"Sq
"sv"Sv
"sw"Sw
"ta"Ta
"tab"Tab
"te"Te
"th"Th
"tjk"Tjk
"tl"Tl
"tr"Tr
"ug"Ug
"uk"Uk
"ur"Ur
"uz"Uz
"vi"Vi
Boolean? LayoutAware
Boolean? LineLevelBoundingBox
string? MarkdownTableMultilineHeaderSeparator
Long? MaxPages
Long? MaxPagesEnforced
Boolean? MergeTablesAcrossPagesInMarkdown
string? Model
Boolean? OutlinedTableExtraction
Boolean? OutputPdfOfDocument
string? OutputS3PathPrefix

If specified, llamaParse will save the output to the specified path. All output file will use this ‘prefix’ should be a valid s3:// url

string? OutputS3Region

The region for the output S3 bucket.

Boolean? OutputTablesAsHtml
string? OutputBucket

The output bucket.

Double? PageErrorTolerance
string? PageHeaderPrefix
string? PageHeaderSuffix
string? PagePrefix
string? PageSeparator
string? PageSuffix
ParsingMode? ParseMode

Enum for representing the mode of parsing to be used.

One of the following:
"parse_document_with_agent"ParseDocumentWithAgent
"parse_document_with_llm"ParseDocumentWithLlm
"parse_document_with_lvm"ParseDocumentWithLvm
"parse_page_with_agent"ParsePageWithAgent
"parse_page_with_layout_agent"ParsePageWithLayoutAgent
"parse_page_with_llm"ParsePageWithLlm
"parse_page_with_lvm"ParsePageWithLvm
"parse_page_without_llm"ParsePageWithoutLlm
string? ParsingInstruction
string? PipelineID

The pipeline ID.

Boolean? PreciseBoundingBox
Boolean? PremiumMode
Boolean? PresentationOutOfBoundsContent
Boolean? PresentationSkipEmbeddedData
Boolean? PreserveLayoutAlignmentAcrossPages
Boolean? PreserveVerySmallText
string? Preset
Priority? Priority

The priority for the request. This field may be ignored or overwritten depending on the organization tier.

One of the following:
"critical"Critical
"high"High
"low"Low
"medium"Medium
string? ProjectID
Boolean? RemoveHiddenText
FailPageMode? ReplaceFailedPageMode

Enum for representing the different available page error handling modes.

One of the following:
"blank_page"BlankPage
"error_message"ErrorMessage
"raw_text"RawText
string? ReplaceFailedPageWithErrorMessagePrefix
string? ReplaceFailedPageWithErrorMessageSuffix
IReadOnlyDictionary<string, JsonElement>? ResourceInfo

The resource info about the file

Boolean? SaveImages
Boolean? SkipDiagonalText
Boolean? SpecializedChartParsingAgentic
Boolean? SpecializedChartParsingEfficient
Boolean? SpecializedChartParsingPlus
Boolean? SpecializedImageParsing
Boolean? SpreadsheetExtractSubTables
Boolean? SpreadsheetForceFormulaComputation
Boolean? SpreadsheetIncludeHiddenSheets
Boolean? StrictModeBuggyFont
Boolean? StrictModeImageExtraction
Boolean? StrictModeImageOcr
Boolean? StrictModeReconstruction
Boolean? StructuredOutput
string? StructuredOutputJsonSchema
string? StructuredOutputJsonSchemaName
string? SystemPrompt
string? SystemPromptAppend
Boolean? TakeScreenshot
string? TargetPages
string? Tier
Type Type
Boolean? UseVendorMultimodalModel
string? UserPrompt
string? VendorMultimodalApiKey
string? VendorMultimodalModelName
string? Version
IReadOnlyList<WebhookConfiguration>? WebhookConfigurations

Outbound webhook endpoints to notify on job status changes

IReadOnlyList<WebhookEvent>? WebhookEvents

Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.

One of the following:
"classify.cancelled"ClassifyCancelled
"classify.error"ClassifyError
"classify.partial_success"ClassifyPartialSuccess
"classify.pending"ClassifyPending
"classify.running"ClassifyRunning
"classify.success"ClassifySuccess
"extract.cancelled"ExtractCancelled
"extract.error"ExtractError
"extract.partial_success"ExtractPartialSuccess
"extract.pending"ExtractPending
"extract.success"ExtractSuccess
"parse.cancelled"ParseCancelled
"parse.error"ParseError
"parse.partial_success"ParsePartialSuccess
"parse.pending"ParsePending
"parse.running"ParseRunning
"parse.success"ParseSuccess
"sheets.cancelled"SheetsCancelled
"sheets.error"SheetsError
"sheets.partial_success"SheetsPartialSuccess
"sheets.pending"SheetsPending
"sheets.success"SheetsSuccess
"split.cancelled"SplitCancelled
"split.error"SplitError
"split.pending"SplitPending
"split.processing"SplitProcessing
"split.success"SplitSuccess
"unmapped_event"UnmappedEvent
IReadOnlyDictionary<string, string>? WebhookHeaders

Custom HTTP headers sent with each webhook request (e.g. auth tokens)

string? WebhookOutputFormat

Response format sent to the webhook: ‘string’ (default) or ‘json’

string? WebhookSigningSecret

Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=’). Recompute the HMAC over the raw request body with this secret to verify the delivery is authentic.

string? WebhookUrl

URL to receive webhook POST notifications

string? WebhookUrl
string? ParentJobExecutionID

The ID of the parent job execution.

formatuuid
IReadOnlyDictionary<string, string> Partitions

The partitions for this execution. Used for determining where to save job output.

string? ProjectID

The ID of the project this job belongs to.

formatuuid
string? SessionID

The upstream request ID that created this job. Used for tracking the job across services.

formatuuid
string? UserID

The ID of the user that created this job

string? WebhookUrl

The URL that needs to be called at the end of the parsing job.

class ClassifyJob:

A classify job.

required string ID

Unique identifier

formatuuid
required string ProjectID

The ID of the project

formatuuid
required IReadOnlyList<ClassifierRule> Rules

The rules to classify the files

required string Description

Natural language description of what to classify. Be specific about the content characteristics that identify this document type.

maxLength2000
minLength10
required string Type

The document type to assign when this rule matches (e.g., ‘invoice’, ‘receipt’, ‘contract’)

maxLength50
minLength1
required StatusEnum Status

The status of the classify job

One of the following:
"CANCELLED"Cancelled
"ERROR"Error
"PARTIAL_SUCCESS"PartialSuccess
"PENDING"Pending
"SUCCESS"Success
required string UserID

The ID of the user

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
DateTimeOffset EffectiveAt
string? ErrorMessage

Error message for the latest job attempt, if any.

string? JobRecordID

The job record ID associated with this status, if any.

Mode Mode

The classification mode to use

One of the following:
"FAST"Fast
"MULTIMODAL"Multimodal
ClassifyParsingConfiguration ParsingConfiguration

The configuration for the parsing job

The language to parse the files in

One of the following:
"abq"Abq
"ady"Ady
"af"Af
"ang"Ang
"ar"Ar
"as"As
"ava"Ava
"az"Az
"be"Be
"bg"Bg
"bgc"Bgc
"bh"Bh
"bho"Bho
"bn"Bn
"bs"Bs
"ch_sim"ChSim
"ch_tra"ChTra
"che"Che
"cs"Cs
"cy"Cy
"da"Da
"dar"Dar
"de"De
"en"En
"es"Es
"et"Et
"fa"Fa
"fr"Fr
"ga"Ga
"gom"Gom
"hi"Hi
"hr"Hr
"hu"Hu
"id"ID
"inh"Inh
"is"Is
"it"It
"ja"Ja
"kbd"Kbd
"kn"Kn
"ko"Ko
"ku"Ku
"la"La
"lbe"Lbe
"lez"Lez
"lt"Lt
"lv"Lv
"mah"Mah
"mai"Mai
"mi"Mi
"mn"Mn
"mni"Mni
"mr"Mr
"ms"Ms
"mt"Mt
"ne"Ne
"new"New
"nl"Nl
"no"No
"oc"Oc
"pi"Pi
"pl"Pl
"pt"Pt
"ro"Ro
"rs_cyrillic"RsCyrillic
"rs_latin"RsLatin
"ru"Ru
"sa"Sa
"sck"Sck
"sk"Sk
"sl"Sl
"sq"Sq
"sv"Sv
"sw"Sw
"ta"Ta
"tab"Tab
"te"Te
"th"Th
"tjk"Tjk
"tl"Tl
"tr"Tr
"ug"Ug
"uk"Uk
"ur"Ur
"uz"Uz
"vi"Vi
Long? MaxPages

The maximum number of pages to parse

IReadOnlyList<Long>? TargetPages

The pages to target for parsing (0-indexed, so first page is at 0)

DateTimeOffset? UpdatedAt

Update datetime

formatdate-time
string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
Long? continueAsNewThreshold

Body param: Maximum files to process per execution cycle in directory mode. Defaults to page_size.

string? directoryID

Body param: ID of the directory containing files to process

IReadOnlyList<string>? itemIds

Body param: List of specific item IDs to process. Either this or directory_id must be provided.

Long pageSize

Body param: Number of files to process per batch when using directory mode

maximum1000
minimum1
string temporalNamespace

Header param

ReturnsExpand Collapse
class BatchCreateResponse:

Response schema for a batch processing job.

required string ID

Unique identifier for the batch job

required JobType JobType

Type of processing operation (parse or classify)

One of the following:
"classify"Classify
"extract"Extract
"parse"Parse
required string ProjectID

Project this job belongs to

required Status Status

Current job status

One of the following:
"cancelled"Cancelled
"completed"Completed
"dispatched"Dispatched
"failed"Failed
"pending"Pending
"running"Running
required Long TotalItems

Total number of items in the job

DateTimeOffset? CompletedAt

Timestamp when job completed

formatdate-time
DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
string? DirectoryID

Directory being processed

DateTimeOffset EffectiveAt
string? ErrorMessage

Error message for the latest job attempt, if any.

Long FailedItems

Number of items that failed processing

string? JobRecordID

The job record ID associated with this status, if any.

Long ProcessedItems

Number of items processed so far

Long SkippedItems

Number of items skipped (already processed or size limit)

DateTimeOffset? StartedAt

Timestamp when job processing started

formatdate-time
DateTimeOffset? UpdatedAt

Update datetime

formatdate-time
string? WorkflowID

Async job tracking ID

Create Batch Job

BatchCreateParams parameters = new()
{
    JobConfig = new BatchParseJobRecordCreate()
    {
        CorrelationID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        JobName = JobName.ParseRawFileJob,
        Parameters = new()
        {
            AdaptiveLongTable = true,
            AggressiveTableExtraction = true,
            AnnotateLinks = true,
            AutoMode = true,
            AutoModeConfigurationJson = "auto_mode_configuration_json",
            AutoModeTriggerOnImageInPage = true,
            AutoModeTriggerOnRegexpInPage = "auto_mode_trigger_on_regexp_in_page",
            AutoModeTriggerOnTableInPage = true,
            AutoModeTriggerOnTextInPage = "auto_mode_trigger_on_text_in_page",
            AzureOpenAIApiVersion = "azure_openai_api_version",
            AzureOpenAIDeploymentName = "azure_openai_deployment_name",
            AzureOpenAIEndpoint = "azure_openai_endpoint",
            AzureOpenAIKey = "azure_openai_key",
            BboxBottom = 0,
            BboxLeft = 0,
            BboxRight = 0,
            BboxTop = 0,
            BoundingBox = "bounding_box",
            CompactMarkdownTable = true,
            ComplementalFormattingInstruction = "complemental_formatting_instruction",
            ConfidenceScoreEffort = "confidence_score_effort",
            ContentGuidelineInstruction = "content_guideline_instruction",
            ContinuousMode = true,
            CustomMetadata = new Dictionary<string, JsonElement>()
            {
                { "foo", JsonSerializer.SerializeToElement("bar") }
            },
            DisableImageExtraction = true,
            DisableOcr = true,
            DisableReconstruction = true,
            DoNotCache = true,
            DoNotUnrollColumns = true,
            EnableCostOptimizer = true,
            ExtractCharts = true,
            ExtractLayout = true,
            ExtractPrintedPageNumber = true,
            FastMode = true,
            FormattingInstruction = "formatting_instruction",
            Gpt4oApiKey = "gpt4o_api_key",
            Gpt4oMode = true,
            GuessXlsxSheetName = true,
            HideFooters = true,
            HideHeaders = true,
            HighResOcr = true,
            HtmlMakeAllElementsVisible = true,
            HtmlRemoveFixedElements = true,
            HtmlRemoveNavigationElements = true,
            HttpProxy = "http_proxy",
            IgnoreDocumentElementsForLayoutDetection = true,
            ImagesToSave =
            [
                ImagesToSave.Embedded
            ],
            InlineImagesInMarkdown = true,
            InputS3Path = "input_s3_path",
            InputS3Region = "input_s3_region",
            InputUrl = "input_url",
            InternalIsScreenshotJob = true,
            InvalidateCache = true,
            IsFormattingInstruction = true,
            JobTimeoutExtraTimePerPageInSeconds = 0,
            JobTimeoutInSeconds = 0,
            KeepPageSeparatorWhenMergingTables = true,
            Lang = "lang",
            Languages =
            [
                ParsingLanguages.Abq
            ],
            LayoutAware = true,
            LineLevelBoundingBox = true,
            MarkdownTableMultilineHeaderSeparator = "markdown_table_multiline_header_separator",
            MaxPages = 0,
            MaxPagesEnforced = 0,
            MergeTablesAcrossPagesInMarkdown = true,
            Model = "model",
            OutlinedTableExtraction = true,
            OutputPdfOfDocument = true,
            OutputS3PathPrefix = "output_s3_path_prefix",
            OutputS3Region = "output_s3_region",
            OutputTablesAsHtml = true,
            OutputBucket = "outputBucket",
            PageErrorTolerance = 0,
            PageFooterPrefix = "page_footer_prefix",
            PageFooterSuffix = "page_footer_suffix",
            PageHeaderPrefix = "page_header_prefix",
            PageHeaderSuffix = "page_header_suffix",
            PagePrefix = "page_prefix",
            PageSeparator = "page_separator",
            PageSuffix = "page_suffix",
            ParseMode = ParsingMode.ParseDocumentWithAgent,
            ParsingInstruction = "parsing_instruction",
            PipelineID = "pipeline_id",
            PreciseBoundingBox = true,
            PremiumMode = true,
            PresentationOutOfBoundsContent = true,
            PresentationSkipEmbeddedData = true,
            PreserveLayoutAlignmentAcrossPages = true,
            PreserveVerySmallText = true,
            Preset = "preset",
            Priority = Priority.Critical,
            ProjectID = "project_id",
            RemoveHiddenText = true,
            ReplaceFailedPageMode = FailPageMode.BlankPage,
            ReplaceFailedPageWithErrorMessagePrefix = "replace_failed_page_with_error_message_prefix",
            ReplaceFailedPageWithErrorMessageSuffix = "replace_failed_page_with_error_message_suffix",
            ResourceInfo = new Dictionary<string, JsonElement>()
            {
                { "foo", JsonSerializer.SerializeToElement("bar") }
            },
            SaveImages = true,
            SkipDiagonalText = true,
            SpecializedChartParsingAgentic = true,
            SpecializedChartParsingEfficient = true,
            SpecializedChartParsingPlus = true,
            SpecializedImageParsing = true,
            SpreadsheetExtractSubTables = true,
            SpreadsheetForceFormulaComputation = true,
            SpreadsheetIncludeHiddenSheets = true,
            StrictModeBuggyFont = true,
            StrictModeImageExtraction = true,
            StrictModeImageOcr = true,
            StrictModeReconstruction = true,
            StructuredOutput = true,
            StructuredOutputJsonSchema = "structured_output_json_schema",
            StructuredOutputJsonSchemaName = "structured_output_json_schema_name",
            SystemPrompt = "system_prompt",
            SystemPromptAppend = "system_prompt_append",
            TakeScreenshot = true,
            TargetPages = "target_pages",
            Tier = "tier",
            Type = Type.Parse,
            UseVendorMultimodalModel = true,
            UserPrompt = "user_prompt",
            VendorMultimodalApiKey = "vendor_multimodal_api_key",
            VendorMultimodalModelName = "vendor_multimodal_model_name",
            Version = "version",
            WebhookConfigurations =
            [
                new()
                {
                    WebhookEvents =
                    [
                        WebhookEvent.ParseSuccess, WebhookEvent.ParseError
                    ],
                    WebhookHeaders = new Dictionary<string, string>()
                    {
                        { "Authorization", "Bearer sk-..." }
                    },
                    WebhookOutputFormat = "json",
                    WebhookSigningSecret = "whsec_...",
                    WebhookUrl = "https://example.com/webhooks/llamacloud",
                },
            ],
            WebhookUrl = "webhook_url",
        },
        ParentJobExecutionID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        Partitions = new Dictionary<string, string>()
        {
            { "foo", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }
        },
        ProjectID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        SessionID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        UserID = "user_id",
        WebhookUrl = "webhook_url",
    },
};

var batch = await client.Beta.Batch.Create(parameters);

Console.WriteLine(batch);
{
  "id": "bjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "job_type": "classify",
  "project_id": "proj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "status": "cancelled",
  "total_items": 0,
  "completed_at": "2019-12-27T18:11:19.117Z",
  "created_at": "2019-12-27T18:11:19.117Z",
  "directory_id": "dir-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "effective_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "failed_items": 0,
  "job_record_id": "job_record_id",
  "processed_items": 0,
  "skipped_items": 0,
  "started_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "workflow_id": "workflow_id"
}
Returns Examples
{
  "id": "bjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "job_type": "classify",
  "project_id": "proj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "status": "cancelled",
  "total_items": 0,
  "completed_at": "2019-12-27T18:11:19.117Z",
  "created_at": "2019-12-27T18:11:19.117Z",
  "directory_id": "dir-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "effective_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "failed_items": 0,
  "job_record_id": "job_record_id",
  "processed_items": 0,
  "skipped_items": 0,
  "started_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "workflow_id": "workflow_id"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/